# $Revision: 1.2 $, $Date: 2001/10/19 23:16:54 $
Summary:	Portable and tiny constant database
Summary:	Przenona i maa staa baza danych
Name:		pure-db
Version:	1.2
Release:	1
License:	GPL
Group:		Applications/Databases
Group(de):	Applikationen/Dateibanken
Group(pl):	Aplikacje/Bazy danych
Source0:	http://pureftpd.sourceforge.net/puredb/%{name}-%{version}.tar.gz
URL:		http://pureftpd.sourceforge.net/puredb/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PureDB is a portable and tiny set of libraries for creating and
reading constant databases. It manages data files that contains text
or binary key/data pairs of arbitrary sizes. Lookups are very fast
(normally only one disk access to match a hash value), overhead is low
(a database is 1028 bytes plus only 16 extra bytes per record),
multiple concurrent read access are supported, and databases can be up
to 4 Gb long, and they are portable accross architectures.

%description -l pl
PureDB to zestaw bibliotek do tworzenia i odczytu staych baz danych.
Zarzdzaj one plikami z danymi, ktre zawieraj tekst lub binarne
pary klucz/dane okrelonych rozmiarw. Wyszukiwania s bardzo szybkie
(normalnie jeden dostp do dysku by znale warto klucza), rozmiar
bazy jest niewielki (1028 bajtw + 16 ekstra bajtw na jeden rekord),
wiele rwnoczesnych odczytw z bazy jest obsugiwanych, bazy mog
osiga wielko do 4Gb, a ponadto s one przenone pomidzy
architekturami.

%package devel
Summary:	Header files and development documentation for pure-db
Summary(pl):	Pliki nagwkowe i dokumentacja do pure-db
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(es):	Desarrollo/Bibliotecas
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Group(pt_BR):	Desenvolvimento/Bibliotecas
Group(ru):	/
Group(uk):	/̦
Requires:	%{name} = %{version}

%description devel
Header files and development documentation for pure-db.

%description -l pl devel
Pliki nagwkowe i dokumentacja do pure-db.

%package static
Summary:	Static pure-db library
Summary(pl):	Biblioteka statyczna pure-db
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(es):	Desarrollo/Bibliotecas
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Group(pt_BR):	Desenvolvimento/Bibliotecas
Group(ru):	/
Group(uk):	/̦
Requires:	%{name}-devel = %{version}

%description static
Static pure-db library.

%description -l pl static
Biblioteka statyczna pure-db.

%prep
%setup  -q 

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

gzip -9nf AUTHORS ChangeLog NEWS README

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: pure-db.spec,v $
Revision 1.2  2001/10/19 23:16:54  kloczek
- cosmetics.

Revision 1.1  2001/10/19 18:55:21  misiek
- initial pld release
